Skip to content

Partner support case changed
Webhook

Request

Triggered every time a case is updated, including if commented on or if the status is changed. Note that you will also receive a webhook response when you have created a new case or updated a case.

Endpoint in BETA

As this endpoing is currently in beta, the information below may change. We will be adding in new types of cases, so ensure you handle additional undocumented types.

  • Event type: partner-support#case-changed
  • Profile level subscriptions: Not supported
  • Application level subscriptions: Supported

Events may not be delivered in the order they occurred. Use data.occurred_at to reconcile the order. See the Event ordering guide for details.

See the Webhooks guide for setup instructions, signature verification, and best practices.

Headers
X-Signature-SHA256string

RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the Wise public key to ensure the request is authentic and has not been tampered with.

Example:t7FMhk3OARMgwqz0LJXO...
X-Delivery-Idstring, (uuid)

Unique identifier for this webhook delivery attempt.

Example:a1b2c3d4-e5f6-7890-abcd-ef1234567890
X-Test-Notificationboolean

Present with the value true if this is a test notification sent to verify your callback URL during subscription setup.

Example:true
Bodyapplication/json
schema_versionstring

Version of the event schema. Determined by the schema_version on your webhook subscription.

Value:"4.0.0"
Example:"4.0.0"
Discriminator
subscription_idstring, (uuid)

ID of the webhook subscription that triggered this event.

Example:"017631af-326c-4a69-93f3-bd1ce987a743"
event_typestring

Event type identifier

Example:"partner-support#case-changed"
sent_atstring, (date-time)

Timestamp when the event was sent.

Example:"2023-06-23T09:45:36.123Z"
dataobject
Payload
{ "schema_version": "4.0.0", "subscription_id": "017631af-326c-4a69-93f3-bd1ce987a743", "event_type": "partner-support#case-changed", "sent_at": "2023-06-23T09:45:36.123Z", "data": { "resource": { "type": "partner-support-case", "case_id": 136, "case_type": "GENERAL_ENQUIRY", "details": {}, "status": "PENDING" }, "type": "NEW_CASE", "occurred_at": "2023-06-23T09:45:34.789Z" } }

Responses

Return any 2xx status to acknowledge receipt of the event.

Bodyapplication/json
statusstring
Example:"ok"
Response
{ "status": "ok" }